build EIK

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

build EIK

Filippo Balicchia-2
Hello, I have check out EIK from trunk and try to compile but i fail.

In the po i see that it point to
<repository>
            <id>helios</id>
            <layout>p2</layout>
            <url>${eclipse-site}</url>
</repository>

but from maven site http://maven.apache.org/pom.html#Repositories

I see that   layout can assume value  default and legacy.

am i in wrong ?


--Filippo
Reply | Threaded
Open this post in threaded view
|

Re: build EIK

jbonofre
Hi Filippo,

Did you perform a simple

mvn clean install

?

The p2 layout is provided by a Maven Eclipse extension.

I have an issue on the update feature:

[ERROR] Cannot resolve project dependencies:
[ERROR]   Software being installed: org.apache.karaf.eik.ui 3.0.0.qualifier
[ERROR]   Missing requirement: org.apache.karaf.eik.ui 3.0.0.qualifier
requires 'bundle org.ops4j.pax.url.mvn 1.3.0' but it could not be found
[ERROR]
[ERROR] Internal error: java.lang.RuntimeException: "No solution found
because the problem is unsatisfiable.": ["Unable to satisfy dependency
from org.apache.karaf.eik.ui 3.0.0.qualifier to bundle
org.ops4j.pax.url.mvn 1.3.0.", "Unable to satisfy dependency from
org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to package
org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution found
because the problem is unsatisfiable."] -> [Help 1]
org.apache.maven.InternalErrorException: Internal error:
java.lang.RuntimeException: "No solution found because the problem is
unsatisfiable.": ["Unable to satisfy dependency from
org.apache.karaf.eik.ui 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn
1.3.0.", "Unable to satisfy dependency from
org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to package
org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution found
because the problem is unsatisfiable."]

I gonna fix it.

Regards
JB

On 01/24/2012 07:11 AM, Filippo Balicchia wrote:

> Hello, I have check out EIK from trunk and try to compile but i fail.
>
> In the po i see that it point to
> <repository>
>              <id>helios</id>
>              <layout>p2</layout>
>              <url>${eclipse-site}</url>
> </repository>
>
> but from maven site http://maven.apache.org/pom.html#Repositories
>
> I see that   layout can assume value  default and legacy.
>
> am i in wrong ?
>
>
> --Filippo

--
Jean-Baptiste Onofré
[hidden email]
http://blog.nanthrax.net
Talend - http://www.talend.com
Reply | Threaded
Open this post in threaded view
|

Re: build EIK

Filippo Balicchia-2
Hi JB,

thanks for the responce
i have downloaded  revesion 1235294..

when i make clean install a receive
Reason: Cannot find layout implementation corresponding to: 'p2' for
remote repository with id: 'helios'. for project org.apache.karaf:eik

seems that the reference to  Eclipse is wrong

It works for you ?

cheers

--Filippo


Il 24 gennaio 2012 08:00, Jean-Baptiste Onofré <[hidden email]> ha scritto:

> Hi Filippo,
>
> Did you perform a simple
>
> mvn clean install
>
> ?
>
> The p2 layout is provided by a Maven Eclipse extension.
>
> I have an issue on the update feature:
>
> [ERROR] Cannot resolve project dependencies:
> [ERROR]   Software being installed: org.apache.karaf.eik.ui 3.0.0.qualifier
> [ERROR]   Missing requirement: org.apache.karaf.eik.ui 3.0.0.qualifier
> requires 'bundle org.ops4j.pax.url.mvn 1.3.0' but it could not be found
> [ERROR]
> [ERROR] Internal error: java.lang.RuntimeException: "No solution found
> because the problem is unsatisfiable.": ["Unable to satisfy dependency from
> org.apache.karaf.eik.ui 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn
> 1.3.0.", "Unable to satisfy dependency from
> org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to package
> org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution found because
> the problem is unsatisfiable."] -> [Help 1]
> org.apache.maven.InternalErrorException: Internal error:
> java.lang.RuntimeException: "No solution found because the problem is
> unsatisfiable.": ["Unable to satisfy dependency from org.apache.karaf.eik.ui
> 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn 1.3.0.", "Unable to satisfy
> dependency from org.eclipse.core.runtime.compatibility.auth
> 3.2.200.v20110110 to package org.eclipse.osgi.framework.log [1.1.0,2.0.0).",
> "No solution found because the problem is unsatisfiable."]
>
> I gonna fix it.
>
> Regards
> JB
>
>
> On 01/24/2012 07:11 AM, Filippo Balicchia wrote:
>>
>> Hello, I have check out EIK from trunk and try to compile but i fail.
>>
>> In the po i see that it point to
>> <repository>
>>             <id>helios</id>
>>             <layout>p2</layout>
>>             <url>${eclipse-site}</url>
>> </repository>
>>
>> but from maven site http://maven.apache.org/pom.html#Repositories
>>
>> I see that   layout can assume value  default and legacy.
>>
>> am i in wrong ?
>>
>>
>> --Filippo
>
>
> --
> Jean-Baptiste Onofré
> [hidden email]
> http://blog.nanthrax.net
> Talend - http://www.talend.com
Reply | Threaded
Open this post in threaded view
|

Re: build EIK

Filippo Balicchia-2
Sorry for disturb.
the problem was my maven version with 3.0
it works

Cheers

Il 24 gennaio 2012 16:36, Filippo Balicchia <[hidden email]> ha scritto:

> Hi JB,
>
> thanks for the responce
> i have downloaded  revesion 1235294..
>
> when i make clean install a receive
> Reason: Cannot find layout implementation corresponding to: 'p2' for
> remote repository with id: 'helios'. for project org.apache.karaf:eik
>
> seems that the reference to  Eclipse is wrong
>
> It works for you ?
>
> cheers
>
> --Filippo
>
>
> Il 24 gennaio 2012 08:00, Jean-Baptiste Onofré <[hidden email]> ha scritto:
>> Hi Filippo,
>>
>> Did you perform a simple
>>
>> mvn clean install
>>
>> ?
>>
>> The p2 layout is provided by a Maven Eclipse extension.
>>
>> I have an issue on the update feature:
>>
>> [ERROR] Cannot resolve project dependencies:
>> [ERROR]   Software being installed: org.apache.karaf.eik.ui 3.0.0.qualifier
>> [ERROR]   Missing requirement: org.apache.karaf.eik.ui 3.0.0.qualifier
>> requires 'bundle org.ops4j.pax.url.mvn 1.3.0' but it could not be found
>> [ERROR]
>> [ERROR] Internal error: java.lang.RuntimeException: "No solution found
>> because the problem is unsatisfiable.": ["Unable to satisfy dependency from
>> org.apache.karaf.eik.ui 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn
>> 1.3.0.", "Unable to satisfy dependency from
>> org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to package
>> org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution found because
>> the problem is unsatisfiable."] -> [Help 1]
>> org.apache.maven.InternalErrorException: Internal error:
>> java.lang.RuntimeException: "No solution found because the problem is
>> unsatisfiable.": ["Unable to satisfy dependency from org.apache.karaf.eik.ui
>> 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn 1.3.0.", "Unable to satisfy
>> dependency from org.eclipse.core.runtime.compatibility.auth
>> 3.2.200.v20110110 to package org.eclipse.osgi.framework.log [1.1.0,2.0.0).",
>> "No solution found because the problem is unsatisfiable."]
>>
>> I gonna fix it.
>>
>> Regards
>> JB
>>
>>
>> On 01/24/2012 07:11 AM, Filippo Balicchia wrote:
>>>
>>> Hello, I have check out EIK from trunk and try to compile but i fail.
>>>
>>> In the po i see that it point to
>>> <repository>
>>>             <id>helios</id>
>>>             <layout>p2</layout>
>>>             <url>${eclipse-site}</url>
>>> </repository>
>>>
>>> but from maven site http://maven.apache.org/pom.html#Repositories
>>>
>>> I see that   layout can assume value  default and legacy.
>>>
>>> am i in wrong ?
>>>
>>>
>>> --Filippo
>>
>>
>> --
>> Jean-Baptiste Onofré
>> [hidden email]
>> http://blog.nanthrax.net
>> Talend - http://www.talend.com
Reply | Threaded
Open this post in threaded view
|

Re: build EIK

jbonofre
Hi Filippo,

no problem. I guess that you have the same issue on the update feature,
right ?

Regards
JB

On 01/24/2012 07:01 PM, Filippo Balicchia wrote:

> Sorry for disturb.
> the problem was my maven version with 3.0
> it works
>
> Cheers
>
> Il 24 gennaio 2012 16:36, Filippo Balicchia<[hidden email]>  ha scritto:
>> Hi JB,
>>
>> thanks for the responce
>> i have downloaded  revesion 1235294..
>>
>> when i make clean install a receive
>> Reason: Cannot find layout implementation corresponding to: 'p2' for
>> remote repository with id: 'helios'. for project org.apache.karaf:eik
>>
>> seems that the reference to  Eclipse is wrong
>>
>> It works for you ?
>>
>> cheers
>>
>> --Filippo
>>
>>
>> Il 24 gennaio 2012 08:00, Jean-Baptiste Onofré<[hidden email]>  ha scritto:
>>> Hi Filippo,
>>>
>>> Did you perform a simple
>>>
>>> mvn clean install
>>>
>>> ?
>>>
>>> The p2 layout is provided by a Maven Eclipse extension.
>>>
>>> I have an issue on the update feature:
>>>
>>> [ERROR] Cannot resolve project dependencies:
>>> [ERROR]   Software being installed: org.apache.karaf.eik.ui 3.0.0.qualifier
>>> [ERROR]   Missing requirement: org.apache.karaf.eik.ui 3.0.0.qualifier
>>> requires 'bundle org.ops4j.pax.url.mvn 1.3.0' but it could not be found
>>> [ERROR]
>>> [ERROR] Internal error: java.lang.RuntimeException: "No solution found
>>> because the problem is unsatisfiable.": ["Unable to satisfy dependency from
>>> org.apache.karaf.eik.ui 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn
>>> 1.3.0.", "Unable to satisfy dependency from
>>> org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to package
>>> org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution found because
>>> the problem is unsatisfiable."] ->  [Help 1]
>>> org.apache.maven.InternalErrorException: Internal error:
>>> java.lang.RuntimeException: "No solution found because the problem is
>>> unsatisfiable.": ["Unable to satisfy dependency from org.apache.karaf.eik.ui
>>> 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn 1.3.0.", "Unable to satisfy
>>> dependency from org.eclipse.core.runtime.compatibility.auth
>>> 3.2.200.v20110110 to package org.eclipse.osgi.framework.log [1.1.0,2.0.0).",
>>> "No solution found because the problem is unsatisfiable."]
>>>
>>> I gonna fix it.
>>>
>>> Regards
>>> JB
>>>
>>>
>>> On 01/24/2012 07:11 AM, Filippo Balicchia wrote:
>>>>
>>>> Hello, I have check out EIK from trunk and try to compile but i fail.
>>>>
>>>> In the po i see that it point to
>>>> <repository>
>>>>              <id>helios</id>
>>>>              <layout>p2</layout>
>>>>              <url>${eclipse-site}</url>
>>>> </repository>
>>>>
>>>> but from maven site http://maven.apache.org/pom.html#Repositories
>>>>
>>>> I see that   layout can assume value  default and legacy.
>>>>
>>>> am i in wrong ?
>>>>
>>>>
>>>> --Filippo
>>>
>>>
>>> --
>>> Jean-Baptiste Onofré
>>> [hidden email]
>>> http://blog.nanthrax.net
>>> Talend - http://www.talend.com

--
Jean-Baptiste Onofré
[hidden email]
http://blog.nanthrax.net
Talend - http://www.talend.com
Reply | Threaded
Open this post in threaded view
|

Re: build EIK

Filippo Balicchia-2
Yes

Il 24 gennaio 2012 19:10, Jean-Baptiste Onofré <[hidden email]> ha scritto:

> Hi Filippo,
>
> no problem. I guess that you have the same issue on the update feature,
> right ?
>
> Regards
> JB
>
>
> On 01/24/2012 07:01 PM, Filippo Balicchia wrote:
>>
>> Sorry for disturb.
>> the problem was my maven version with 3.0
>> it works
>>
>> Cheers
>>
>> Il 24 gennaio 2012 16:36, Filippo Balicchia<[hidden email]>  ha
>> scritto:
>>>
>>> Hi JB,
>>>
>>> thanks for the responce
>>> i have downloaded  revesion 1235294..
>>>
>>> when i make clean install a receive
>>> Reason: Cannot find layout implementation corresponding to: 'p2' for
>>> remote repository with id: 'helios'. for project org.apache.karaf:eik
>>>
>>> seems that the reference to  Eclipse is wrong
>>>
>>> It works for you ?
>>>
>>> cheers
>>>
>>> --Filippo
>>>
>>>
>>> Il 24 gennaio 2012 08:00, Jean-Baptiste Onofré<[hidden email]>  ha
>>> scritto:
>>>>
>>>> Hi Filippo,
>>>>
>>>> Did you perform a simple
>>>>
>>>> mvn clean install
>>>>
>>>> ?
>>>>
>>>> The p2 layout is provided by a Maven Eclipse extension.
>>>>
>>>> I have an issue on the update feature:
>>>>
>>>> [ERROR] Cannot resolve project dependencies:
>>>> [ERROR]   Software being installed: org.apache.karaf.eik.ui
>>>> 3.0.0.qualifier
>>>> [ERROR]   Missing requirement: org.apache.karaf.eik.ui 3.0.0.qualifier
>>>> requires 'bundle org.ops4j.pax.url.mvn 1.3.0' but it could not be found
>>>> [ERROR]
>>>> [ERROR] Internal error: java.lang.RuntimeException: "No solution found
>>>> because the problem is unsatisfiable.": ["Unable to satisfy dependency
>>>> from
>>>> org.apache.karaf.eik.ui 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn
>>>> 1.3.0.", "Unable to satisfy dependency from
>>>> org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to package
>>>> org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution found
>>>> because
>>>> the problem is unsatisfiable."] ->  [Help 1]
>>>> org.apache.maven.InternalErrorException: Internal error:
>>>> java.lang.RuntimeException: "No solution found because the problem is
>>>> unsatisfiable.": ["Unable to satisfy dependency from
>>>> org.apache.karaf.eik.ui
>>>> 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn 1.3.0.", "Unable to
>>>> satisfy
>>>> dependency from org.eclipse.core.runtime.compatibility.auth
>>>> 3.2.200.v20110110 to package org.eclipse.osgi.framework.log
>>>> [1.1.0,2.0.0).",
>>>> "No solution found because the problem is unsatisfiable."]
>>>>
>>>> I gonna fix it.
>>>>
>>>> Regards
>>>> JB
>>>>
>>>>
>>>> On 01/24/2012 07:11 AM, Filippo Balicchia wrote:
>>>>>
>>>>>
>>>>> Hello, I have check out EIK from trunk and try to compile but i fail.
>>>>>
>>>>> In the po i see that it point to
>>>>> <repository>
>>>>>             <id>helios</id>
>>>>>             <layout>p2</layout>
>>>>>             <url>${eclipse-site}</url>
>>>>> </repository>
>>>>>
>>>>> but from maven site http://maven.apache.org/pom.html#Repositories
>>>>>
>>>>> I see that   layout can assume value  default and legacy.
>>>>>
>>>>> am i in wrong ?
>>>>>
>>>>>
>>>>> --Filippo
>>>>
>>>>
>>>>
>>>> --
>>>> Jean-Baptiste Onofré
>>>> [hidden email]
>>>> http://blog.nanthrax.net
>>>> Talend - http://www.talend.com
>
>
> --
> Jean-Baptiste Onofré
> [hidden email]
> http://blog.nanthrax.net
> Talend - http://www.talend.com
Reply | Threaded
Open this post in threaded view
|

Re: build EIK

jbonofre
Hi Filippo,

thanks for the update, I gonna fix that this morning.

Regards
JB

On 01/25/2012 07:38 AM, Filippo Balicchia wrote:

> Yes
>
> Il 24 gennaio 2012 19:10, Jean-Baptiste Onofré<[hidden email]>  ha scritto:
>> Hi Filippo,
>>
>> no problem. I guess that you have the same issue on the update feature,
>> right ?
>>
>> Regards
>> JB
>>
>>
>> On 01/24/2012 07:01 PM, Filippo Balicchia wrote:
>>>
>>> Sorry for disturb.
>>> the problem was my maven version with 3.0
>>> it works
>>>
>>> Cheers
>>>
>>> Il 24 gennaio 2012 16:36, Filippo Balicchia<[hidden email]>    ha
>>> scritto:
>>>>
>>>> Hi JB,
>>>>
>>>> thanks for the responce
>>>> i have downloaded  revesion 1235294..
>>>>
>>>> when i make clean install a receive
>>>> Reason: Cannot find layout implementation corresponding to: 'p2' for
>>>> remote repository with id: 'helios'. for project org.apache.karaf:eik
>>>>
>>>> seems that the reference to  Eclipse is wrong
>>>>
>>>> It works for you ?
>>>>
>>>> cheers
>>>>
>>>> --Filippo
>>>>
>>>>
>>>> Il 24 gennaio 2012 08:00, Jean-Baptiste Onofré<[hidden email]>    ha
>>>> scritto:
>>>>>
>>>>> Hi Filippo,
>>>>>
>>>>> Did you perform a simple
>>>>>
>>>>> mvn clean install
>>>>>
>>>>> ?
>>>>>
>>>>> The p2 layout is provided by a Maven Eclipse extension.
>>>>>
>>>>> I have an issue on the update feature:
>>>>>
>>>>> [ERROR] Cannot resolve project dependencies:
>>>>> [ERROR]   Software being installed: org.apache.karaf.eik.ui
>>>>> 3.0.0.qualifier
>>>>> [ERROR]   Missing requirement: org.apache.karaf.eik.ui 3.0.0.qualifier
>>>>> requires 'bundle org.ops4j.pax.url.mvn 1.3.0' but it could not be found
>>>>> [ERROR]
>>>>> [ERROR] Internal error: java.lang.RuntimeException: "No solution found
>>>>> because the problem is unsatisfiable.": ["Unable to satisfy dependency
>>>>> from
>>>>> org.apache.karaf.eik.ui 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn
>>>>> 1.3.0.", "Unable to satisfy dependency from
>>>>> org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to package
>>>>> org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution found
>>>>> because
>>>>> the problem is unsatisfiable."] ->    [Help 1]
>>>>> org.apache.maven.InternalErrorException: Internal error:
>>>>> java.lang.RuntimeException: "No solution found because the problem is
>>>>> unsatisfiable.": ["Unable to satisfy dependency from
>>>>> org.apache.karaf.eik.ui
>>>>> 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn 1.3.0.", "Unable to
>>>>> satisfy
>>>>> dependency from org.eclipse.core.runtime.compatibility.auth
>>>>> 3.2.200.v20110110 to package org.eclipse.osgi.framework.log
>>>>> [1.1.0,2.0.0).",
>>>>> "No solution found because the problem is unsatisfiable."]
>>>>>
>>>>> I gonna fix it.
>>>>>
>>>>> Regards
>>>>> JB
>>>>>
>>>>>
>>>>> On 01/24/2012 07:11 AM, Filippo Balicchia wrote:
>>>>>>
>>>>>>
>>>>>> Hello, I have check out EIK from trunk and try to compile but i fail.
>>>>>>
>>>>>> In the po i see that it point to
>>>>>> <repository>
>>>>>>              <id>helios</id>
>>>>>>              <layout>p2</layout>
>>>>>>              <url>${eclipse-site}</url>
>>>>>> </repository>
>>>>>>
>>>>>> but from maven site http://maven.apache.org/pom.html#Repositories
>>>>>>
>>>>>> I see that   layout can assume value  default and legacy.
>>>>>>
>>>>>> am i in wrong ?
>>>>>>
>>>>>>
>>>>>> --Filippo
>>>>>
>>>>>
>>>>>
>>>>> --
>>>>> Jean-Baptiste Onofré
>>>>> [hidden email]
>>>>> http://blog.nanthrax.net
>>>>> Talend - http://www.talend.com
>>
>>
>> --
>> Jean-Baptiste Onofré
>> [hidden email]
>> http://blog.nanthrax.net
>> Talend - http://www.talend.com

--
Jean-Baptiste Onofré
[hidden email]
http://blog.nanthrax.net
Talend - http://www.talend.com
Reply | Threaded
Open this post in threaded view
|

Re: build EIK

Filippo Balicchia-2
Hi JB

I'm updated at revision 1236044

but it doesn't find a dependency

Internal error: java.lang.RuntimeException: "No solution found because
the problem is unsatisfiable.": ["Unable to satisfy dependency from
org.apache.karaf.eik.ui 3.0.0.qualifier to bundle
org.ops4j.pax.url.mvn 1.3.0.", "Unable to satisfy dependency from
org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to
package org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution
found because the problem is unsatisfiable."] -> [Help 1]
org.apache.maven.InternalErrorException: Internal error:
java.lang.RuntimeException: "No solution found because the problem is
unsatisfiable.": ["Unable to satisfy dependency from
org.apache.karaf.eik.ui 3.0.0.qualifier to bundle
org.ops4j.pax.url.mvn 1.3.0.", "Unable to satisfy dependency from
org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to
package org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution
found because the problem is unsatisfiable."]
        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:168)
        at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
        at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
        at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
        at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
        at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
        at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
Caused by: java.lang.RuntimeException: "No solution found because the
problem is unsatisfiable.": ["Unable to satisfy dependency from
org.apache.karaf.eik.ui 3.0.0.qualifier to bundle
org.ops4j.pax.url.mvn 1.3.0.", "Unable to satisfy dependency from
org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to
package org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution
found because the problem is unsatisfiable."]
        at org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutionStrategy.java:106)
        at org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:102)
        at org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:69)
        at org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatformResolver.java:342)
        at org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolvePlatform(P2TargetPlatformResolver.java:162)
        at org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:85)
        at org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:91)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
        ... 11 more

Il 25 gennaio 2012 07:52, Jean-Baptiste Onofré <[hidden email]> ha scritto:

> Hi Filippo,
>
> thanks for the update, I gonna fix that this morning.
>
> Regards
> JB
>
> On 01/25/2012 07:38 AM, Filippo Balicchia wrote:
>>
>> Yes
>>
>> Il 24 gennaio 2012 19:10, Jean-Baptiste Onofré<[hidden email]>  ha
>> scritto:
>>>
>>> Hi Filippo,
>>>
>>> no problem. I guess that you have the same issue on the update feature,
>>> right ?
>>>
>>> Regards
>>> JB
>>>
>>>
>>> On 01/24/2012 07:01 PM, Filippo Balicchia wrote:
>>>>
>>>>
>>>> Sorry for disturb.
>>>> the problem was my maven version with 3.0
>>>> it works
>>>>
>>>> Cheers
>>>>
>>>> Il 24 gennaio 2012 16:36, Filippo Balicchia<[hidden email]>    ha
>>>> scritto:
>>>>>
>>>>>
>>>>> Hi JB,
>>>>>
>>>>> thanks for the responce
>>>>> i have downloaded  revesion 1235294..
>>>>>
>>>>> when i make clean install a receive
>>>>> Reason: Cannot find layout implementation corresponding to: 'p2' for
>>>>> remote repository with id: 'helios'. for project org.apache.karaf:eik
>>>>>
>>>>> seems that the reference to  Eclipse is wrong
>>>>>
>>>>> It works for you ?
>>>>>
>>>>> cheers
>>>>>
>>>>> --Filippo
>>>>>
>>>>>
>>>>> Il 24 gennaio 2012 08:00, Jean-Baptiste Onofré<[hidden email]>    ha
>>>>> scritto:
>>>>>>
>>>>>>
>>>>>> Hi Filippo,
>>>>>>
>>>>>> Did you perform a simple
>>>>>>
>>>>>> mvn clean install
>>>>>>
>>>>>> ?
>>>>>>
>>>>>> The p2 layout is provided by a Maven Eclipse extension.
>>>>>>
>>>>>> I have an issue on the update feature:
>>>>>>
>>>>>> [ERROR] Cannot resolve project dependencies:
>>>>>> [ERROR]   Software being installed: org.apache.karaf.eik.ui
>>>>>> 3.0.0.qualifier
>>>>>> [ERROR]   Missing requirement: org.apache.karaf.eik.ui 3.0.0.qualifier
>>>>>> requires 'bundle org.ops4j.pax.url.mvn 1.3.0' but it could not be
>>>>>> found
>>>>>> [ERROR]
>>>>>> [ERROR] Internal error: java.lang.RuntimeException: "No solution found
>>>>>> because the problem is unsatisfiable.": ["Unable to satisfy dependency
>>>>>> from
>>>>>> org.apache.karaf.eik.ui 3.0.0.qualifier to bundle
>>>>>> org.ops4j.pax.url.mvn
>>>>>> 1.3.0.", "Unable to satisfy dependency from
>>>>>> org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to
>>>>>> package
>>>>>> org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution found
>>>>>> because
>>>>>> the problem is unsatisfiable."] ->    [Help 1]
>>>>>> org.apache.maven.InternalErrorException: Internal error:
>>>>>> java.lang.RuntimeException: "No solution found because the problem is
>>>>>> unsatisfiable.": ["Unable to satisfy dependency from
>>>>>> org.apache.karaf.eik.ui
>>>>>> 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn 1.3.0.", "Unable to
>>>>>> satisfy
>>>>>> dependency from org.eclipse.core.runtime.compatibility.auth
>>>>>> 3.2.200.v20110110 to package org.eclipse.osgi.framework.log
>>>>>> [1.1.0,2.0.0).",
>>>>>> "No solution found because the problem is unsatisfiable."]
>>>>>>
>>>>>> I gonna fix it.
>>>>>>
>>>>>> Regards
>>>>>> JB
>>>>>>
>>>>>>
>>>>>> On 01/24/2012 07:11 AM, Filippo Balicchia wrote:
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> Hello, I have check out EIK from trunk and try to compile but i fail.
>>>>>>>
>>>>>>> In the po i see that it point to
>>>>>>> <repository>
>>>>>>>             <id>helios</id>
>>>>>>>             <layout>p2</layout>
>>>>>>>             <url>${eclipse-site}</url>
>>>>>>> </repository>
>>>>>>>
>>>>>>> but from maven site http://maven.apache.org/pom.html#Repositories
>>>>>>>
>>>>>>> I see that   layout can assume value  default and legacy.
>>>>>>>
>>>>>>> am i in wrong ?
>>>>>>>
>>>>>>>
>>>>>>> --Filippo
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>> --
>>>>>> Jean-Baptiste Onofré
>>>>>> [hidden email]
>>>>>> http://blog.nanthrax.net
>>>>>> Talend - http://www.talend.com
>>>
>>>
>>>
>>> --
>>> Jean-Baptiste Onofré
>>> [hidden email]
>>> http://blog.nanthrax.net
>>> Talend - http://www.talend.com
>
>
> --
> Jean-Baptiste Onofré
> [hidden email]
> http://blog.nanthrax.net
> Talend - http://www.talend.com
Reply | Threaded
Open this post in threaded view
|

Re: build EIK

jbonofre
Hi Filippo

Yup, I noted that too.

I have work in progress on Cellar and Karaf this morning, I will fix
that end of this morning/beginning of this afternoon.

I keep you posted.

Regards
JB

On 01/26/2012 07:48 AM, Filippo Balicchia wrote:

> Hi JB
>
> I'm updated at revision 1236044
>
> but it doesn't find a dependency
>
> Internal error: java.lang.RuntimeException: "No solution found because
> the problem is unsatisfiable.": ["Unable to satisfy dependency from
> org.apache.karaf.eik.ui 3.0.0.qualifier to bundle
> org.ops4j.pax.url.mvn 1.3.0.", "Unable to satisfy dependency from
> org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to
> package org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution
> found because the problem is unsatisfiable."] ->  [Help 1]
> org.apache.maven.InternalErrorException: Internal error:
> java.lang.RuntimeException: "No solution found because the problem is
> unsatisfiable.": ["Unable to satisfy dependency from
> org.apache.karaf.eik.ui 3.0.0.qualifier to bundle
> org.ops4j.pax.url.mvn 1.3.0.", "Unable to satisfy dependency from
> org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to
> package org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution
> found because the problem is unsatisfiable."]
> at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:168)
> at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
> at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
> at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
> at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
> at java.lang.reflect.Method.invoke(Method.java:597)
> at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
> at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
> at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
> at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
> Caused by: java.lang.RuntimeException: "No solution found because the
> problem is unsatisfiable.": ["Unable to satisfy dependency from
> org.apache.karaf.eik.ui 3.0.0.qualifier to bundle
> org.ops4j.pax.url.mvn 1.3.0.", "Unable to satisfy dependency from
> org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to
> package org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution
> found because the problem is unsatisfiable."]
> at org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutionStrategy.java:106)
> at org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:102)
> at org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:69)
> at org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatformResolver.java:342)
> at org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolvePlatform(P2TargetPlatformResolver.java:162)
> at org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:85)
> at org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:91)
> at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
> at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
> ... 11 more
>
> Il 25 gennaio 2012 07:52, Jean-Baptiste Onofré<[hidden email]>  ha scritto:
>> Hi Filippo,
>>
>> thanks for the update, I gonna fix that this morning.
>>
>> Regards
>> JB
>>
>> On 01/25/2012 07:38 AM, Filippo Balicchia wrote:
>>>
>>> Yes
>>>
>>> Il 24 gennaio 2012 19:10, Jean-Baptiste Onofré<[hidden email]>    ha
>>> scritto:
>>>>
>>>> Hi Filippo,
>>>>
>>>> no problem. I guess that you have the same issue on the update feature,
>>>> right ?
>>>>
>>>> Regards
>>>> JB
>>>>
>>>>
>>>> On 01/24/2012 07:01 PM, Filippo Balicchia wrote:
>>>>>
>>>>>
>>>>> Sorry for disturb.
>>>>> the problem was my maven version with 3.0
>>>>> it works
>>>>>
>>>>> Cheers
>>>>>
>>>>> Il 24 gennaio 2012 16:36, Filippo Balicchia<[hidden email]>      ha
>>>>> scritto:
>>>>>>
>>>>>>
>>>>>> Hi JB,
>>>>>>
>>>>>> thanks for the responce
>>>>>> i have downloaded  revesion 1235294..
>>>>>>
>>>>>> when i make clean install a receive
>>>>>> Reason: Cannot find layout implementation corresponding to: 'p2' for
>>>>>> remote repository with id: 'helios'. for project org.apache.karaf:eik
>>>>>>
>>>>>> seems that the reference to  Eclipse is wrong
>>>>>>
>>>>>> It works for you ?
>>>>>>
>>>>>> cheers
>>>>>>
>>>>>> --Filippo
>>>>>>
>>>>>>
>>>>>> Il 24 gennaio 2012 08:00, Jean-Baptiste Onofré<[hidden email]>      ha
>>>>>> scritto:
>>>>>>>
>>>>>>>
>>>>>>> Hi Filippo,
>>>>>>>
>>>>>>> Did you perform a simple
>>>>>>>
>>>>>>> mvn clean install
>>>>>>>
>>>>>>> ?
>>>>>>>
>>>>>>> The p2 layout is provided by a Maven Eclipse extension.
>>>>>>>
>>>>>>> I have an issue on the update feature:
>>>>>>>
>>>>>>> [ERROR] Cannot resolve project dependencies:
>>>>>>> [ERROR]   Software being installed: org.apache.karaf.eik.ui
>>>>>>> 3.0.0.qualifier
>>>>>>> [ERROR]   Missing requirement: org.apache.karaf.eik.ui 3.0.0.qualifier
>>>>>>> requires 'bundle org.ops4j.pax.url.mvn 1.3.0' but it could not be
>>>>>>> found
>>>>>>> [ERROR]
>>>>>>> [ERROR] Internal error: java.lang.RuntimeException: "No solution found
>>>>>>> because the problem is unsatisfiable.": ["Unable to satisfy dependency
>>>>>>> from
>>>>>>> org.apache.karaf.eik.ui 3.0.0.qualifier to bundle
>>>>>>> org.ops4j.pax.url.mvn
>>>>>>> 1.3.0.", "Unable to satisfy dependency from
>>>>>>> org.eclipse.core.runtime.compatibility.auth 3.2.200.v20110110 to
>>>>>>> package
>>>>>>> org.eclipse.osgi.framework.log [1.1.0,2.0.0).", "No solution found
>>>>>>> because
>>>>>>> the problem is unsatisfiable."] ->      [Help 1]
>>>>>>> org.apache.maven.InternalErrorException: Internal error:
>>>>>>> java.lang.RuntimeException: "No solution found because the problem is
>>>>>>> unsatisfiable.": ["Unable to satisfy dependency from
>>>>>>> org.apache.karaf.eik.ui
>>>>>>> 3.0.0.qualifier to bundle org.ops4j.pax.url.mvn 1.3.0.", "Unable to
>>>>>>> satisfy
>>>>>>> dependency from org.eclipse.core.runtime.compatibility.auth
>>>>>>> 3.2.200.v20110110 to package org.eclipse.osgi.framework.log
>>>>>>> [1.1.0,2.0.0).",
>>>>>>> "No solution found because the problem is unsatisfiable."]
>>>>>>>
>>>>>>> I gonna fix it.
>>>>>>>
>>>>>>> Regards
>>>>>>> JB
>>>>>>>
>>>>>>>
>>>>>>> On 01/24/2012 07:11 AM, Filippo Balicchia wrote:
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> Hello, I have check out EIK from trunk and try to compile but i fail.
>>>>>>>>
>>>>>>>> In the po i see that it point to
>>>>>>>> <repository>
>>>>>>>>              <id>helios</id>
>>>>>>>>              <layout>p2</layout>
>>>>>>>>              <url>${eclipse-site}</url>
>>>>>>>> </repository>
>>>>>>>>
>>>>>>>> but from maven site http://maven.apache.org/pom.html#Repositories
>>>>>>>>
>>>>>>>> I see that   layout can assume value  default and legacy.
>>>>>>>>
>>>>>>>> am i in wrong ?
>>>>>>>>
>>>>>>>>
>>>>>>>> --Filippo
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> --
>>>>>>> Jean-Baptiste Onofré
>>>>>>> [hidden email]
>>>>>>> http://blog.nanthrax.net
>>>>>>> Talend - http://www.talend.com
>>>>
>>>>
>>>>
>>>> --
>>>> Jean-Baptiste Onofré
>>>> [hidden email]
>>>> http://blog.nanthrax.net
>>>> Talend - http://www.talend.com
>>
>>
>> --
>> Jean-Baptiste Onofré
>> [hidden email]
>> http://blog.nanthrax.net
>> Talend - http://www.talend.com

--
Jean-Baptiste Onofré
[hidden email]
http://blog.nanthrax.net
Talend - http://www.talend.com